
import reseau.Affectation;
import reseau.Itineraire;
import train.Train;
import train.Type;

import train.vehicule.Vehicule;
import train.vehicule.Motrice;
import train.vehicule.Voiture;
import train.vehicule.Wagon;

public class TestTrain {

    public static void main(String[] arg) {
        Train t1 = new Train();

        t1.ajouterVehicule(new Motrice(110, 12, 5));
        t1.ajouterVehicule(new Voiture(40.3, 8, 65));
        t1.ajouterVehicule(new Voiture(40.3, 8, 80));
        t1.ajouterVehicule(new Wagon(25.5, 8, 250));
        t1.ajouterVehicule(new Motrice(110, 12, 5));   // ajout impossible
        t1.getNbRoues();

        System.out.println(t1);

        Train t2 = new Train();
        t2.ajouterVehicule(new Voiture(40.3, 8, 65));  // ajout impossible
        t2.ajouterVehicule(new Wagon(25.5, 8, 250));  // ajout impossible
        t2.getNbRoues();
        System.out.println(t2.poidsAVide());
        System.out.println(t2);
        
        Gare g1 = new Gare("Le Havre", Type.VOYAGEUR);
    	System.out.println("gare 1 : " + g1);
    	Gare g2 = new Gare("Rouen", Type.VOYAGEUR);
    	System.out.println("gare 2 : " + g2);
    	Gare g3 = new Gare("Paris", Type.MARCHANDISE);
    	System.out.println("gare 2 : " + g2);
    	Itineraire it = null;
    	try {
    	    it = new Itineraire(g1,g3);
    	}
    	catch(Exception e) {
    	    System.out.println(e.getMessage());
    	}
    	try {
    	    it = new Itineraire(g1,g2);
    	}
    	catch(Exception e) {
    	    System.out.println("Ne doit pas s'afficher");
    	}
    	System.out.println(it);
    	Affectation affect = null ;
		try {
		    affect = new Affectation(it, t1);
		}
		catch(Exception e) {
		    System.out.println("Ne dois pas s'afficher");
		}
		System.out.println(affect);
	    }
}
	    

